shishi_tkt_flags_set(3)

NAME
shishi_tkt_flags_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_flags_set(Shishi_tkt * tkt, uint32_t flags);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

uint32_t flags
    integer with flags to store in ticket.

DESCRIPTION
Set flags in ticket, i.e., both EncTicketPart and EncKDCRepPart. Note that this reset any already existing flags.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.